<!DOCTYPE html>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Todo-List</title>
</head>
<body>
  <section class="oben">
    <h1>Todo-List</h1>
    <input class="textBox" type="text" #txt placeholder="Write Todo here...">
    <button class="addButton" (click)="onAddButtonClick(txt)"><i class="fa fa-plus"></i></button>

  </section>
  <section class="tasklist" *ngFor="let todo of todos">
    <ul>
      <li id="{{todo.id}}">
        {{todo.task}}
        <button style="margin:5px" class="checkButton" (click)="setStatusTrue(todo.id, todo.id)"><i class="fa fa-check"></i></button>
        <button style="margin:5px" class="unCheckButton" (click)="setStatusFalse(todo.id, todo.id)"><i class="fa fa-times"></i></button>
        <button style="margin:5px" class="deleteButton" (click)="deleteTask(todo.id)"><i class="fa fa-trash"></i></button>
      </li>
    </ul>
  </section>
  <button class="trashCan" (click)="deleteList()">Delete All! <i class="fa fa-trash"></i></button>
</body>
</html>
